hbase-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "stack (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (HBASE-10172) hbase upgrade -check error
Date Mon, 16 Dec 2013 16:37:08 GMT

     [ https://issues.apache.org/jira/browse/HBASE-10172?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

stack resolved HBASE-10172.
---------------------------

    Resolution: Won't Fix

What [~himanshu@cloudera.com] says.  Check your protobuf versions in your classpath.  It looks
like the first pb lib encountered is not 2.5.x as we expect (perhaps you have old pb lib still
in your cp?)

> hbase upgrade -check error
> --------------------------
>
>                 Key: HBASE-10172
>                 URL: https://issues.apache.org/jira/browse/HBASE-10172
>             Project: HBase
>          Issue Type: Bug
>            Reporter: wang xiyi
>
> Hi, I want to upgrade hbase from 0.94 to 0.96. According to http://hbase.apache.org/book/upgrade0.96.html,
I encountered a problem as follows:
> {code}
> Exception in thread "main" java.lang.UnsupportedOperationException: This is supposed
to be overridden by subclasses.
>         at com.google.protobuf.GeneratedMessage.getUnknownFields(GeneratedMessage.java:180)
>         at org.apache.hadoop.hdfs.protocol.proto.ClientNamenodeProtocolProtos$GetListingRequestProto.getSerializedSize(ClientNamenodeProtocolProtos.java:18005)
> .....
> {code}
> hadoop version: hadoop-2.0.0-cdh4.2.1 
> hbase version:hbase-0.94.0-cdh4.2.1
> Thanks~



--
This message was sent by Atlassian JIRA
(v6.1.4#6159)

Mime
View raw message